Package ru.bitel.oss.systems.inventory.subscription.common.event

# Class BeforeSubscribeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.inventory.subscription.common.event.BeforeSubscribeEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class BeforeSubscribeEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeforeSubscribeEvent(int contractId, int userId, Contract contract, SubscriptionType tariffOption, SubscriptionMode activateMode, Charge charge, Subscription contractOption, boolean activate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SubscriptionMode`
  `getActivateMode()`
  `Contract`
  `getContract()`
  `Subscription`
  `getContractTariffOption()`
  `String`
  `getMessage()`
  `SubscriptionType`
  `getTariffOption()`
  `boolean`
  `isActivate()`
  `void`
  `setActivate(boolean activate)`
  `void`
  `setContractTariffOption(Subscription contractOption)`
  `void`
  `setMessage(String message)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BeforeSubscribeEvent

    public BeforeSubscribeEvent(int contractId, int userId, Contract contract, SubscriptionType tariffOption, SubscriptionMode activateMode, Charge charge, Subscription contractOption, boolean activate)

- ## Method Details

  - ### getTariffOption

    public SubscriptionType getTariffOption()

  - ### getActivateMode

    public SubscriptionMode getActivateMode()

  - ### isActivate

    public boolean isActivate()

  - ### setActivate

    public void setActivate(boolean activate)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getContractTariffOption

    public Subscription getContractTariffOption()

  - ### setContractTariffOption

    public void setContractTariffOption(Subscription contractOption)

  - ### getContract

    public Contract getContract()